@charset "UTF-8";

/* ========================================
  トップページ
======================================== */
/* common */
.top-section {
  padding: 10rem 0;
}
.top-section__header {
  margin-bottom: 9.5rem;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;

  &.center {
    justify-content: center;
  }
}
.top-section__heading {
  line-height: 1.4;
  font-size: 4.3rem;
  font-weight: 500;
  letter-spacing: .2em;

  span {
    display: block;
    font-size: 1.7rem;
    font-weight: 300;
    letter-spacing: 0;
  }
  .center & {
    text-align: center;
  }
}
.top-section__more {
  position: relative;
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  gap: .8em;
  font-weight: 300;
  color: var(--color-link);
  transition: color .3s ease;

  &::before {
    content: "";
    width: 3em;
    aspect-ratio: 1;
    border-radius: 50%;
    background-color: currentColor;
  }
  &::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 1.2em;
    width: 1em;
    aspect-ratio: 1;
    transform: translateY(-50%) rotate(45deg);
    border: solid #FFF;
    border-width: 1px 1px 0 0;
  }
  @media (hover: hover) {
    &:hover {
      color: var(--color-primary);
    }
  }
}

/* keyvisual */
.keyvisual {
  .slick-dots {
    position: absolute;
    bottom: 3rem;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;

    li {
      height: .8rem;
      line-height: 0;

      button {
        width: 13.2rem;
        height: 0;
        line-height: 2;
        padding-top: .8rem;
        background-color: #E6E6E6;
        overflow: hidden;

        @media (hover: hover) {
          &:hover {
            background-color: var(--color-link);
          }
        }
      }
      &.slick-active {
        button {
          background-color: var(--color-primary);
        }
      }
    }
  }
}
.keyvisual-item {
  img {
    width: 100%;
    height: auto;
  }
}

/* top-strengths */
.top-strengths {
  padding: 10rem 0;
}
.top-strengths__inner {
  aspect-ratio: 1360 / 520;
  padding: 0 calc((130 / 1360) * 100%);
  background: url(../images/top/top-strengths-bg.jpg) center center / cover no-repeat;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  line-height: calc(60 / 35);
  color: var(--color-primary);
}
.top-strengths__copy {
  font-size: 6rem;
  font-weight: 400;
}
.top-strengths__text {
  margin-top: 3rem;
  font-size: 3.5rem;
}
.top-strengths__button {
  margin-top: 5rem;

  a {
    display: inline-block;
    padding: 2rem 5.4rem;
    background-color: #FFF;
    font-size: 2.2rem;
    color: var(--color-link);
    transition: background-color .3s ease, color .3s ease;

    @media (hover: hover) {
      &:hover {
        background-color: var(--color-primary);
        color: #FFF;
      }
    }
  }
}

/* top-lineup */
.top-lineup__cards {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: .6rem;

  li {
    a {
      position: relative;
      display: block;

      div {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        padding: 5% 10%;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        color: #FFF;

        &::before {
          content: "";
          position: absolute;
          top: 0;
          left: 0;
          width: 100%;
          height: 100%;
          background-color: var(--color-hover);
          opacity: 0;
          transition: opacity .3s ease;
        }
        > * {
          position: relative;
        }
        .title {
          position: relative;
          margin-bottom: 3rem;
          color: var(--color-text);

          &::before {
            content: "";
            position: absolute;
            top: 0;
            left: -2rem;
            width: calc(100% + 4rem);
            height: 100%;
            transform: skewX(-20deg);
            background-color: #FFF;
          }
          span {
            position: relative;
            font-size: 2.8rem;
            font-weight: 500;
          }
        }
        .text {
          line-height: calc(42 / 16);
          opacity: 0;
          transition: opacity .3s ease;
        }
        .more {
          margin-top: auto;
          margin-left: auto;
          opacity: 0;
          transition: opacity .3s ease;

          .top-section__more {
            color: #FFF;

            &::before {
              background-color: currentColor;
            }
            &::after {
              border-color: var(--color-link);
            }
          }
        }
      }
      @media (hover: hover) {
        &:hover {
          div {
            &::before {
              opacity: .6;
            }
            .text {
              opacity: 1;
            }
            .more {
              opacity: 1;
            }
          }
        }
      }
    }
  }
}

/* top-pickup */
.top-pickup {
  padding: 10rem 0 20rem;
  background-color: #EFEFEF;
}
.top-pickup__cards {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 0 2rem;

  a {
    height: 100%;
    display: flex;
    flex-direction: column;

    figure {
      position: relative;

      &::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: var(--color-hover);
        opacity: 0;
        transition: opacity .3s ease;
      }
      figcaption {
        position: absolute;
        bottom: 1rem;
        left: 1rem;
        padding: 0 1rem;
        background-color: var(--color-text);
        color: #FFF;
      }
    }
    div {
      height: 100%;
      padding: 5% 5% 0;
      display: flex;
      flex-direction: column;
    }
    .title {
      margin-bottom: 1rem;
      font-size: 2.4rem;
      font-weight: 500;
    }
    .text {
      margin-bottom: 1rem;
      line-height: calc(30 / 16);
    }
    .more {
      margin-top: auto;
      text-align: right;
      color: var(--color-link);
      transition: color .3s ease;
    }
    @media (hover: hover) {
      &:hover {
        figure {
          &::before {
            opacity: .6;
          }
        }
        .more {
          color: var(--color-primary);
        }
      }
    }
  }
}

/* top-others */
.top-others{
  display: grid;
  grid-template-columns: calc((645 / 1360) * 100%) 1fr;
  gap: 0 calc((100 / 1360) * 100%);
  align-items: start; /* 行の高さはJSが作るので start でOK */
}

/* top-news */
.top-news__list {
  margin-bottom: 3rem;

  li {
    a {
      display: block;
      padding: 2rem 0;
      border-bottom: solid 1px var(--color-text);

      time {
        margin-right: 1.5rem;
        font-size: 1.7rem;
        color: #B3B3B3;
      }
      span {
        display: inline-block;
        padding: 0 1.5rem;
        background-color: var(--color-text);
        font-size: 1.7rem;
        color: #FFF;
      }
      p {
        margin-top: 1.5rem;
        line-height: calc(28 / 16);
        transition: color .2s ease;
      }
      @media (hover: hover) {
        &:hover {
          p {
            color: var(--color-link);
          }
        }
      }
    }
  }
}

/* top-info */
.top-info {
  min-height: 0;
  display: flex;
  flex-direction: column;
}
.top-info__wrap{
  min-height: 0;
  overflow: auto;
  border: solid 1px var(--color-text);
}
.top-info__list {
  width: min(90%, 55rem);
  margin: 0 auto;
  padding: 5% 0;

  li {
    &:not(:first-child) {
      margin-top: 5%;
    }
  }
}

/* top-company */
.top-company__bnrs {
  display: flex;

  li {
    flex: 1;

    a {
      position: relative;
      display: block;
      aspect-ratio: 680 / 310;

      &::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: var(--color-link);
        opacity: 0;
        mix-blend-mode: multiply;
        transition: opacity .3s ease;
      }
      @media (hover: hover) {
        &:hover {
          &::before {
            opacity: .3;
          }
        }
      }
      p {
        position: absolute;
        top: calc(50% - 2.3rem);
        left: calc((42 / 680) * 100%);
        color: #FFF;

        em {
          position: relative;
          display: inline-flex;
          flex-direction: row-reverse;
          align-items: center;
          gap: 0 .5em;
          line-height: 1;
          font-size: 4.6rem;
          letter-spacing: .2em;

          &::before {
            content: "";
            width: 1em;
            aspect-ratio: 1;
            border-radius: 50%;
            background-color: currentColor;
          }
          &::after {
            content: "";
            position: absolute;
            top: 50%;
            right: .4em;
            width: .3em;
            aspect-ratio: 1;
            transform: translateY(-50%) rotate(45deg);
            border: solid var(--color-link);
            border-width: 1px 1px 0 0;
          }
        }
        span {
          display: block;
          font-size: 1.7rem;
        }
      }
    }
  }
}
.top-company__bnr01 {
  background-color: #74D7DF;
}
.top-company__bnr02 {
  background: url(../images/top/company-bnr02.jpg) center center / cover no-repeat;
}


/* ========================================
  企業情報
======================================== */
.company {
  .message-inner {
    display: grid;
    grid-template-columns: 1fr 50rem;
    gap: 8rem;
  }
  .message-copy {
    margin-bottom: 2em;
    line-height: 1.75;
    font-size: 3rem;
  }
}


/* ========================================
  宮吉ガラスの強み
======================================== */
/* strengths-header */
.strengths-header {
  position: relative;
  padding: 7rem 0 9rem;
  background: url(../images/strengths/header-bg.jpg) center center / cover no-repeat;
  color: #FFF;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--color-link);
    mix-blend-mode: multiply;
  }
}
.strengths-header__inner {
  position: relative;
  width: calc((770 / 1360) * 100%);

  .title {
    margin-bottom: 2rem;
    font-size: 4.3rem;
    font-weight: 700;
    letter-spacing: .2em;
  }
  .text {
    line-height: calc(42 / 16);
  }
}
.strengths-nav {
  position: sticky;
  top: var(--header-height);
  z-index: 10;
}
.strengths-nav__inner {
  position: relative;
  margin-top: -4rem;
}
.strengths-nav__list {
  position: relative;
  display: flex;
  gap: .6rem;

  li {
    flex: 1;

    a {
      height: 8rem;
      background-color: var(--color-secondary);
      display: flex;
      justify-content: center;
      align-items: center;
      line-height: calc(23 / 16);
      text-align: center;
      color: #FFF;
    }
    div {
      position: absolute;
      top: 8rem;
      left: 0;
      width: 100%;
      height: 0;
      overflow: hidden;
      background-color: rgba(0, 74, 149, .8);
      display: flex;
      justify-content: center;
      align-items: center;
      text-align: center;
      line-height: calc(42 / 16);
      color: #FFF;
      transition: height .3s ease;
    }
    @media (hover: hover) {
      &:hover {
        div {
          height: 14rem;
        }
      }
    }
  }
}

/* strengths-section */
.strengths-section {
  padding: 6rem 0 10rem;

  &:nth-of-type(even) {
    background-color: #E6E6E6;
  }
  &[id*="anc-"] {
    scroll-margin-top: calc(var(--header-height) + 8rem);
  }
}
.strengths-image {
  margin-top: 4rem;
}
.strengths-text {
  .title {
    margin-bottom: 4rem;
    line-height: 1.4;
    font-size: 2.3rem;
    font-weight: 500;

    img {
      width: 9.5rem;
    }
  }
  .copy {
    margin: 3rem 0 2rem;
    line-height: calc(32 / 18);
    font-size: 1.8rem;
    font-weight: 500;
    color: var(--color-primary);
  }
}
.strengths-detail01 {
  margin-top: 3rem;

  .list {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 1rem;

    li {
      padding: 10% 12% 12%;

      &:nth-child(odd) {
        background-color: #E5EDF4;
      }
      &:nth-child(even) {
        background-color: #D7ECF8;
      }
      h3 {
        min-height: calc((1.8rem * 1.6) * 3);
        margin-bottom: 1.5rem;
        display: flex;
        justify-content: center;
        align-items: center;
        line-height: 1.6;
        text-align: center;
        font-size: 1.8rem;
        font-weight: 500;
        color: var(--color-primary);
      }
    }
  }
  .image {
    margin-top: 5rem;
    text-align: center;

    img {
      width: min(100%, 90rem);
    }
  }
}
.strengths-detail02 {
  .list {
    margin-top: 3rem;
    padding: 3rem 5rem;
    background-color: #FFF;
  }
  .image {
    margin-top: 3rem;
    padding: 5rem 2rem;
    background-color: #FFF;

    img {
      width: 100%;
    }
  }
}
.strengths-detail03 {
  .image {
    margin-top: 5rem;
    text-align: center;

    img {
      width: min(100%, 90rem);
    }
  }
}
.strengths-detail04 {
  margin-top: 3rem;

  .image {
    text-align: center;

    img {
      width: min(100%, 90rem);
    }
  }
}
.strengths-detail05 {
  margin-top: 3rem;

  .image {
    text-align: center;

    img {
      width: min(100%, 90rem);
    }
  }
}
.strengths-detail06 {
  margin-top: 3rem;

  .image {
    text-align: center;

    img {
      width: min(100%, 90rem);
    }
  }
}
.strengths-detail07 {
  margin-top: 3rem;

  .image {
    display: flex;
    justify-content: space-between;
    align-items: center;

    img {
      width: 50%;
    }
  }
}
.strengths-detail08 {
  .image {
    margin-top: 3rem;
    padding: 1% 2%;
    background-color: #FFF;
    display: flex;
    justify-content: space-between;
    align-items: center;

    img {
      &:first-child {
        width: calc((552 / 852) * 100%);
      }
      &:last-child {
        width: calc((300 / 852) * 80%);
        margin-right: 5%;
      }
    }
  }
}